## Index

### Interfaces

- jsonx
- jsonxChildren
- jsonxComponents
- jsonxElementProperties
- jsonxLibrary
- jsonxResourceProps
- simpleJsonx
- simpleJsonxChildren
- simpleJsonxElementProperties

### Type aliases

- callbackFunc
- jsonxCompare
- jsonxComparison
- jsonxComponent

## Type aliases

### callbackFunc

callbackFunc: (...args: any[]) => any

- Defined in types/jsonx/jsonx.ts:1

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### jsonxCompare

jsonxCompare: { left?: any; right?: any }

- Defined in types/jsonx/jsonx.ts:73

#### Type declaration

- ##### Optional left?: any

- ##### Optional right?: any

### jsonxComparison

jsonxComparison: { left: any; operation: "eq" | "==" | "dneq" | "!=" | "!" | "dnseq" | "!==" | "seq" | "===" | "lt" | "<" | "lte" | "<=" | "gt" | ">" | "gte" | ">=" | "dne" | "undefined" | "null" | "!null" | "!undefined" | "exists"; right?: any }

- Defined in types/jsonx/jsonx.ts:78

#### Type declaration

- ##### left: any

- ##### operation: "eq" | "==" | "dneq" | "!=" | "!" | "dnseq" | "!==" | "seq" | "===" | "lt" | "<" | "lte" | "<=" | "gt" | ">" | "gte" | ">=" | "dne" | "undefined" | "null" | "!null" | "!undefined" | "exists"

- ##### Optional right?: any

### jsonxComponent

jsonxComponent: {}

- Defined in types/jsonx/jsonx.ts:111

#### Type declaration

- ##### [index: string]: FunctionComponent | PureComponent | Component | ReactElement | callbackFunc